---
title: vultr_user
url: https://docs.vultr.com/reference/terraform/data-sources/user
description: Retrieves information about a specific Vultr user including their name, email, access control list, and API status
publish_date: 2025-09-15T13:34:19.309360Z
last_updated: 2025-09-15T14:14:46.218889Z
---

# vultr_user

Get information about a Vultr user associated with your account. This data source provides the name, email, access control list, and API status for a Vultr user associated with your account.

## Example Usage

Get the information for a user by `email`:

```hcl
data "vultr_user" "my_user" {
  filter {
    name = "email"
    values = ["jdoe@example.com"]
  }
}
```

Get the information for a user by `name`:

```hcl
data "vultr_user" "my_user" {
  filter {
    name = "name"
    values = ["John Doe"]
  }
}
```

## Argument Reference

The following arguments are supported:

* `filter` - (Required) Query parameters for finding users.

The `filter` block supports the following:

* `name` - Attribute name to filter with.
* `values` - One or more values filter with.

## Attributes Reference

The following attributes are exported:

* `name` - The name of the user.
* `email` - The email of the user.
* `api_enabled` - Whether API is enabled for the user.
* `acl` - The access control list for the user.